// SPDX-License-Identifier: MIT
/*
 * Copyright (c) 2023 Atmark Techno,Inc.
 */

#pragma once

#include <stdbool.h>

// utils.c
int read_full(int fd, void *buf, int count);
int read_to_end(int fd, void *buf, int count);
void xfail(const char *message) __attribute__((noreturn));

// soc.c
enum soc {
	SOC_UNKNOWN = 0,
	IMX6ULL,
	IMX8MP,
};

enum soc get_soc(void);
int imx_ocotp_read(void *buf, int size);

// armadillo.c
int print_product_name(void);
int print_serial_num(void);
int print_mac_addr(void);
int print_se_param(void);
int print_ext_board_info(void);

// abos.c
int print_abos_version(void);

// device-info.c
extern bool is_print_env;
